/* line 2, scss/nweb/nweb_header.scss */
header#menu {
	position: relative;
	display: flex;
	min-width: 1903px;
	align-items: center;
	justify-content: space-between;
	width: 100%;
	height: 90px;
	padding-right: 18px;
	border-bottom: 1px solid #d8d8d8;
	box-sizing: border-box;
}

/* line 6, scss/rweb/rweb_header.scss */
#menu {
	z-index: 2;
}

/* line 7, scss/rweb/rweb_header.scss */
.search {
	width: 190px;
	margin-right: -70px;
}

/* line 18, scss/rweb/rweb_header.scss */
.search .all_search input[type="text"] {
	font-size: 15px;
	font-weight: 300;
	color: #585858;
	padding: 0;
	border: 2px solid black;
	border-radius: 5px;
	width: 140px;
	box-sizing: border-box;
	height: 52px;
}

/* line 14, scss/nweb/nweb_header.scss */
header h1 {
	width: 250px;
	text-align: center;
	line-height: 89px;
	box-sizing: border-box;
}

/* line 21, scss/nweb/nweb_header.scss */
header h1 img {
	vertical-align: middle;
}

/* line 24, scss/nweb/nweb_header.scss */
.wrap_1200 {
	position: relative;
	width: 1200px;
	height: 90px;
	margin: 0 auto;
	box-sizing: border-box;
}

/* line 31, scss/nweb/nweb_header.scss */
#gnb {
	flex: 1;
	box-sizing: border-box;
}

/* line 35, scss/nweb/nweb_header.scss */
#gnb > ul {
	display: flex;
	justify-content: center;
}

/* line 39, scss/nweb/nweb_header.scss */
#gnb > ul > li {
	position: relative;
	display: block;
	padding: 0 35px;
	box-sizing: border-box;
	border: 1px solid transparent;
}

/* line 45, scss/nweb/nweb_header.scss */
#gnb > ul > li.orgMenu {
	padding: 0 20px;
}

/* line 46, scss/nweb/nweb_header.scss */
#gnb > ul > li.orgMenu > a {
	color: #1E6BDE;
	font-size: 18px;
	font-family: 'Noto Sans Medium';
	font-weight: normal;
}

/* line 49, scss/nweb/nweb_header.scss */
#gnb > ul > li > a {
	font-family: 'Noto Sans';
	font-size: 22px;
	font-weight: 400;
	text-align: center;
	color: #000;
	line-height: 89px;
	display: block;
	box-sizing: border-box;
}

/* line 59, scss/nweb/nweb_header.scss */
#gnb > ul > li:hover, .focusCss {
	background: #fff;
	border-left: 1px solid #e0e0e0;
	border-right: 1px solid #e0e0e0;
	box-sizing: border-box;
	display: block;
}

/* line 66, scss/nweb/nweb_header.scss */
#gnb > ul > li > ul {
	position: absolute;
	width: calc(100% + 2px);
	left: 0;
	top: 100%;
	max-height: 0;
	display: block;
	box-sizing: border-box;
	margin-left: -1px;
	z-index: 1000;
	transition: max-height 1s;
	overflow-y: hidden;
	visibility: hidden;
}

/* line 80, scss/nweb/nweb_header.scss */
#gnb > ul > li:hover > ul {
	max-height: 1000px;
	visibility: visible;
}

/* line 84, scss/nweb/nweb_header.scss */
#gnb > ul > li:hover .sub, .dropdownVisible {
	background: #fff;
	border-left: 1px solid #e0e0e0;
	border-right: 1px solid #e0e0e0;
	border-bottom: 1px solid #e0e0e0;
	box-sizing: border-box;
	display: block;
	z-index: 100;
}

/* line 93, scss/nweb/nweb_header.scss */
#gnb > ul > li > ul > li {
	width: 100%;
	float: none;
	font-family: 'Noto Sans';
	font-size: 14px;
	font-weight: 300;
	line-height: 3.29;
	letter-spacing: -0.7px;
	text-align: center;
	color: #666666;
	box-sizing: border-box;
	display: block;
}

/* line 106, scss/nweb/nweb_header.scss */
#gnb > ul > li > ul > li:last-child {
	padding-bottom: 24px;
}

/* line 109, scss/nweb/nweb_header.scss */
#gnb > ul > li > ul > li > a {
	display: block;
}

/* line 113, scss/nweb/nweb_header.scss */
#gnb_sub {
	position: absolute;
	top: 0px;
	left: 800px;
	width: 400px;
	float: left;
	padding-top: 20px;
	box-sizing: border-box;
}

/* line 122, scss/nweb/nweb_header.scss */
#gnb_sub ul li {
	width: 50%;
	float: left;
	font-family: 'Noto Sans';
	font-size: 18px;
	font-weight: 400;
	text-align: center;
	color: #444;
	line-height: 1.2;
}

/* line 132, scss/nweb/nweb_header.scss */
#gnb_sub ul li:hover {
	color: #000;
}

/* line 135, scss/nweb/nweb_header.scss */
#gnb_sub ul li a {
	display: block;
}

/* line 138, scss/nweb/nweb_header.scss */
.link1 {
	position: absolute;
	top: 0;
	left: 0;
	width: 200px;
	height: 90px;
	padding-top: 20px;
	background: url(../../images/gnb_link.png) no-repeat;
	overflow: hidden;
	cursor: pointer;
	border-left: 1px solid #d8d8d8;
	z-index: 1;
	box-sizing: border-box;
	display: block;
}

/* line 153, scss/nweb/nweb_header.scss */
.link2 {
	position: absolute;
	top: 0;
	left: 200px;
	width: 200px;
	height: 90px;
	padding-top: 20px;
	background: url(../../images/gnb_link.png) no-repeat;
	overflow: hidden;
	cursor: pointer;
	z-index: 1;
	border-left: 1px solid #c2c2c2;
	border-right: 1px solid #d8d8d8;
	box-sizing: border-box;
	display: block;
}

/* line 169, scss/nweb/nweb_header.scss */
.link1 img, .link2 img {
	display: block;
	float: left;
	line-height: 89px;
	margin-left: 33px;
}

/* line 175, scss/nweb/nweb_header.scss */
.corner {
	position: absolute;
	width: 37px;
	height: 36px;
	left: 0px;
	bottom: 0px;
	background: url(../../images/corner.png);
	transition: .2s;
	z-index: 10;
}

/* line 185, scss/nweb/nweb_header.scss */
.corner2 {
	position: absolute;
	width: 35px;
	height: 34px;
	right: -100%;
	top: 0px;
	background: url(../../images/corner2.png);
	transition: .2s;
	z-index: 10;
}

/* line 195, scss/nweb/nweb_header.scss */
.link1:hover .corner2, .link2:hover .corner2 {
	right: 0px;
}

/* line 198, scss/nweb/nweb_header.scss */
.link1:hover .corner {
	left: -100%;
}

/* line 201, scss/nweb/nweb_header.scss */
.link1_2 {
	position: absolute;
	width: 200px;
	height: 90px;
	left: -101%;
	margin-top: -20px;
	background: url(../../images/gnb_link_hover.png);
	background-position: 200px 0px;
	transition: .2s;
	z-index: 1;
	box-sizing: border-box;
}

/* line 213, scss/nweb/nweb_header.scss */
.link1:hover .link1_2 {
	left: 0px;
	background-position: 0px 0px;
	z-index: -1;
}

/* line 218, scss/nweb/nweb_header.scss */
.link2_2 {
	position: absolute;
	width: 200px;
	height: 90px;
	left: -101%;
	margin-top: -20px;
	background: url(../../images/gnb_link_hover.png);
	background-position: 200px 0px;
	transition: .2s;
	z-index: 1;
	box-sizing: border-box;
}

/* line 230, scss/nweb/nweb_header.scss */
.link2:hover .link2_2 {
	left: 0px;
	background-position: 0px 0px;
	z-index: -1;
}

/* line 235, scss/nweb/nweb_header.scss */
.userBtn {
	display: flex;
	width: 200px;
	height: 91px;
	margin-top: -1px;
	margin-left: 91px;
	background: #fff;
	border: 1px solid #bfbfbf;
	box-sizing: border-box;
}

/* line 236, scss/nweb/nweb_header.scss */
.userBtn button {
	flex: 1;
	height: 91px;
}

/* line 238, scss/nweb/nweb_header.scss */
.userBtn button:hover span {
	color: #1E6BDE;
}

/* line 239, scss/nweb/nweb_header.scss */
.userBtn button:hover.btnLogout {
	background: url("../../images/ico-user-logout-hover.png") no-repeat center 21px;
}

/* line 240, scss/nweb/nweb_header.scss */
.userBtn button:hover.btnMypage {
	background: url("../../images/ico-user-mypage-hover.png") no-repeat center 21px;
}

/* line 242, scss/nweb/nweb_header.scss */
.userBtn button span {
	display: block;
	padding-top: 34px;
	font-size: 12px;
	color: #666;
	font-weight: normal;
	font-family: 'Noto Sans Medium';
}

/* line 243, scss/nweb/nweb_header.scss */
.userBtn button.btnLogout {
	background: url("../../images/ico-user-logout.png") no-repeat center 21px;
}

/* line 244, scss/nweb/nweb_header.scss */
.userBtn button.btnMypage {
	background: url("../../images/ico-user-mypage.png") no-repeat center 21px;
}

/* line 247, scss/nweb/nweb_header.scss */
.org {
	position: relative;
	width: 200px;
	height: 91px;
	padding-left: 60px;
	margin-top: -1px;
	margin-left: 91px;
	font-family: 'Noto Sans';
	font-size: 16px;
	font-weight: 400;
	text-align: center;
	color: #666;
	line-height: 90px;
	background-color: #fff;
	background-image: url(../../images/ico-login.png);
	background-position: 46px center;
	background-repeat: no-repeat;
	box-sizing: border-box;
	cursor: pointer;
	border: 1px solid #bfbfbf;
}

/* line 268, scss/nweb/nweb_header.scss */
.org:hover {
	color: #1E6BDE;
	background-image: url(../../images/ico-login-hover.png);
}

/* line 272, scss/nweb/nweb_header.scss */
.loginBox {
	position: absolute;
	top: calc(100% + 1px);
	right: 61px;
	width: 370px;
	height: auto;
	padding: 71px 0 64px;
	background: #fff;
	box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.16);
	box-sizing: border-box;
	overflow: hidden;
	z-index: 1000;
	display: none;
}

/* line 286, scss/nweb/nweb_header.scss */
.ab_c {
	position: absolute;
	top: -126px;
	left: -137px;
	width: 274px;
	height: 252px;
	margin: 0 156px 0 0;
	opacity: 0.06;
	background-color: #139294;
	border-radius: 50%;
	z-index: 999;
}

/* line 298, scss/nweb/nweb_header.scss */
.ex_01 {
	font-family: 'Noto Sans';
	font-size: 18px;
	font-weight: 200;
	line-height: 30px;
	letter-spacing: 0.5px;
	text-align: center;
	color: #666;
}

/* line 307, scss/nweb/nweb_header.scss */
.ex_02 {
	font-family: 'Noto Sans';
	font-size: 18px;
	font-weight: 400;
	line-height: 30px;
	letter-spacing: 0.5px;
	text-align: center;
	color: #444;
}

/* line 316, scss/nweb/nweb_header.scss */
.loginInput_Box {
	width: 290px;
	height: auto;
	margin: 30px auto 10px;
}

/* line 321, scss/nweb/nweb_header.scss */
.btn_login {
	margin-top: 24px;
	overflow: hidden;
}

/* line 325, scss/nweb/nweb_header.scss */
.findBox {
	height: 30px;
	line-height: 30px;
	margin-top: 16px;
}

/* line 330, scss/nweb/nweb_header.scss */
.find {
	float: left;
	height: 30px;
	font-family: 'Noto Sans';
	font-size: 13px;
	font-weight: 400;
	line-height: 30px;
	letter-spacing: 0.65px;
	color: #999;
	display: block;
}

/* line 341, scss/nweb/nweb_header.scss */
.findBox img {
	float: left;
	padding: 5px 5px 5px 0;
}

/* line 346, scss/nweb/nweb_header.scss */
footer {
	width: 100%;
	background: #222;
	clear: both;
}

/* line 351, scss/nweb/nweb_header.scss */
.footer {
	width: 1200px;
	margin: 0 auto;
	padding: 50px 0;
	clear: both;
	overflow: hidden;
	box-sizing: border-box;
}

/* line 359, scss/nweb/nweb_header.scss */
.footer h5 {
	float: left;
}

/* line 362, scss/nweb/nweb_header.scss */
.footerCenter {
	float: left;
	margin-left: 67px;
}

/* line 366, scss/nweb/nweb_header.scss */
.footerCenter .lnb ul li {
	float: left;
	padding-right: 10px;
	padding-left: 10px;
	font-family: 'Noto Sans';
	font-size: 14px;
	font-weight: 400;
	line-height: 20px;
	letter-spacing: -0.7px;
	color: #fff;
	border-right: 2px solid #919191;
}

/* line 378, scss/nweb/nweb_header.scss */
.footerCenter .lnb ul li:last-child {
	border-right: none;
}

/* line 381, scss/nweb/nweb_header.scss */
.footerCenter .lnb ul li:nth-child(1) {
	padding-left: 0;
}

/* line 384, scss/nweb/nweb_header.scss */
.address {
	padding: 0 !important;
	display: block !important;
	line-height: 20px !important;
	height: auto !important;
	border: 0 !important;
	margin-top: 30px;
	font-family: 'Noto Sans';
	font-size: 12px;
	font-weight: 300;
	line-height: 20px;
	letter-spacing: -0.6px;
	color: #fff;
	opacity: 0.5;
}

/* line 399, scss/nweb/nweb_header.scss */
.footerSite {
	float: right;
	margin: 25px 0;
	padding-right: 2px;
}

/* line 405, scss/nweb/nweb_header.scss */
#mMenuBtn {
	display: none;
}

/* line 407, scss/nweb/nweb_header.scss */
.flex {
	display: flex;
}

/* line 408, scss/nweb/nweb_header.scss */
.flex.center {
	justify-content: center;
	align-items: center;
}

/* line 411, scss/nweb/nweb_header.scss */
.loginInput_Box .downSecure.type02 {
	color: #2860e0;
	background: url("../../images/ico-secure-type02.png") no-repeat left center;
	padding-left: 20px;
	margin-bottom: 8px;
	float: left;
	height: auto;
}

/* line 412, scss/nweb/nweb_header.scss */
.loginInput_Box .downSecure.type02 span {
	font-family: 'Noto Sans';
}

/* line 413, scss/nweb/nweb_header.scss */
.loginInput_Box .downSecure.type02:hover span {
	font-family: 'Noto Sans Medium';
}

/* line 415, scss/nweb/nweb_header.scss */
.loginInput_Box .loginLink {
	display: flex;
	color: #999;
	font-size: 12px;
	font-family: 'Noto Sans';
	justify-content: center;
	width: 100%;
	padding-top: 16px;
}

/* line 416, scss/nweb/nweb_header.scss */
.loginInput_Box .loginLink a {
	display: flex;
	align-items: center;
}

/* line 418, scss/nweb/nweb_header.scss */
.loginInput_Box .loginLink a:last-of-type:after {
	display: none;
}

/* line 420, scss/nweb/nweb_header.scss */
.loginInput_Box .loginLink a:after {
	content: '';
	width: 1px;
	height: 12px;
	background-color: #bfbfbf;
	margin: 0 8px;
}

/* line 424, scss/nweb/nweb_header.scss */
.certChk {
	background: #eee;
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 0 15px;
	border-radius: 10px;
	opacity: 0;
	visibility: hidden;
	max-height: 0;
	transition: .4s;
	box-shadow: 0 3px 5px rgba(0, 0, 0, 0.15);
}

/* line 425, scss/nweb/nweb_header.scss */
.certChk.active {
	position: relative;
	max-height: inherit;
	padding: 20px 15px;
	visibility: visible;
	opacity: 1;
	margin-top: 15px;
}

/* line 426, scss/nweb/nweb_header.scss */
.certChk.active:after {
	position: absolute;
	right: 33px;
	top: -6px;
	border: 6px solid transparent;
	border-left: 6px solid #eee;
	border-top: 6px solid #eee;
	content: '';
	transform: rotate(45deg) skew(10deg, 10deg);
}

/* line 428, scss/nweb/nweb_header.scss */
.certChk button {
	padding: 0 15px;
}

/*# sourceMappingURL=data:application/json;charset=utf8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoibndlYi9ud2ViX2hlYWRlci5jc3MiLCJzb3VyY2VzIjpbIm53ZWIvbndlYl9oZWFkZXIuc2NzcyJdLCJzb3VyY2VzQ29udGVudCI6WyJcclxuaGVhZGVyI21lbnV7XHJcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XHJcbiAgICBkaXNwbGF5OmZsZXg7XHJcbiAgICBtaW4td2lkdGg6MTkwM3B4O1xyXG4gICAgYWxpZ24taXRlbXM6Y2VudGVyO1xyXG4gICAganVzdGlmeS1jb250ZW50OnNwYWNlLWJldHdlZW47XHJcbiAgICB3aWR0aDoxMDAlO1xyXG4gICAgaGVpZ2h0OiA5MHB4O1xyXG4gICAgcGFkZGluZy1yaWdodDo2MHB4O1xyXG4gICAgYm9yZGVyLWJvdHRvbToxcHggc29saWQgI2Q4ZDhkODtcclxuICAgIGJveC1zaXppbmc6IGJvcmRlci1ib3g7XHJcbn1cclxuaGVhZGVyIGgxe1xyXG4gICAgd2lkdGg6MzUxcHg7XHJcbiAgICAvLyBwYWRkaW5nOjIwcHggMCAwIDYxcHg7XHJcbiAgICB0ZXh0LWFsaWduOiBjZW50ZXI7XHJcbiAgICBsaW5lLWhlaWdodDogODlweDtcclxuICAgIGJveC1zaXppbmc6IGJvcmRlci1ib3g7XHJcbn1cclxuaGVhZGVyIGgxIGltZ3tcclxuICAgIHZlcnRpY2FsLWFsaWduOiBtaWRkbGU7XHJcbn1cclxuLndyYXBfMTIwMHtcclxuICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcclxuICAgIHdpZHRoOjEyMDBweDtcclxuICAgIGhlaWdodDogOTBweDtcclxuICAgIG1hcmdpbjowIGF1dG87XHJcbiAgICBib3gtc2l6aW5nOiBib3JkZXItYm94O1xyXG59XHJcbiNnbmJ7XHJcbiAgICBmbGV4OjE7XHJcbiAgICBib3gtc2l6aW5nOiBib3JkZXItYm94O1xyXG59XHJcbiNnbmIgPiB1bHtcclxuICAgIGRpc3BsYXk6ZmxleDtcclxuICAgIGp1c3RpZnktY29udGVudDpjZW50ZXI7XHJcbn1cclxuI2duYiA+IHVsID4gbGl7XHJcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XHJcbiAgICBkaXNwbGF5OiBibG9jaztcclxuICAgIHBhZGRpbmc6MCAzNXB4O1xyXG4gICAgYm94LXNpemluZzogYm9yZGVyLWJveDtcclxuICAgIGJvcmRlcjoxcHggc29saWQgdHJhbnNwYXJlbnQ7O1xyXG4gICAgJi5vcmdNZW51e3BhZGRpbmc6MCAyMHB4O1xyXG4gICAgICAgID5he2NvbG9yOiMxRTZCREU7Zm9udC1zaXplOjE4cHg7Zm9udC1mYW1pbHk6J05vdG8gU2FucyBNZWRpdW0nO2ZvbnQtd2VpZ2h0Om5vcm1hbDt9XHJcbiAgICB9XHJcbn1cclxuI2duYiA+IHVsID4gbGkgPiBhe1xyXG4gICAgZm9udC1mYW1pbHk6ICdOb3RvIFNhbnMnO1xyXG4gICAgZm9udC1zaXplOiAyMnB4O1xyXG4gICAgZm9udC13ZWlnaHQ6IDQwMDtcclxuICAgIHRleHQtYWxpZ246IGNlbnRlcjtcclxuICAgIGNvbG9yOiMwMDA7XHJcbiAgICBsaW5lLWhlaWdodDogODlweDtcclxuICAgIGRpc3BsYXk6IGJsb2NrO1xyXG4gICAgYm94LXNpemluZzogYm9yZGVyLWJveDtcclxufVxyXG4jZ25iID4gdWwgPiBsaTpob3ZlciwgLmZvY3VzQ3Nze1xyXG4gICAgYmFja2dyb3VuZDogI2ZmZjtcclxuICAgIGJvcmRlci1sZWZ0OiAxcHggc29saWQgI2UwZTBlMDtcclxuICAgIGJvcmRlci1yaWdodDogMXB4IHNvbGlkICNlMGUwZTA7XHJcbiAgICBib3gtc2l6aW5nOiBib3JkZXItYm94O1xyXG4gICAgZGlzcGxheTogYmxvY2s7XHJcbn1cclxuI2duYiA+IHVsID4gbGkgPiB1bHtcclxuICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcclxuICAgIHdpZHRoOmNhbGMoMTAwJSArIDJweCk7XHJcbiAgICBsZWZ0OjA7XHJcbiAgICB0b3A6MTAwJTtcclxuICAgIG1heC1oZWlnaHQ6MDtcclxuICAgIGRpc3BsYXk6IGJsb2NrO1xyXG4gICAgYm94LXNpemluZzogYm9yZGVyLWJveDtcclxuICAgIG1hcmdpbi1sZWZ0OiAtMXB4O1xyXG4gICAgei1pbmRleDogMTAwMDtcclxuICAgIHRyYW5zaXRpb246bWF4LWhlaWdodCAxcztcclxuICAgIG92ZXJmbG93LXk6aGlkZGVuO1xyXG4gICAgdmlzaWJpbGl0eTpoaWRkZW47XHJcbn1cclxuI2duYiA+IHVsID4gbGk6aG92ZXIgPiB1bHtcclxuICAgIG1heC1oZWlnaHQ6MTAwMHB4O1xyXG4gICAgdmlzaWJpbGl0eTp2aXNpYmxlO1xyXG59XHJcbiNnbmIgPiB1bCA+IGxpOmhvdmVyIC5zdWIsIC5kcm9wZG93blZpc2libGV7XHJcbiAgICBiYWNrZ3JvdW5kOiAjZmZmO1xyXG4gICAgYm9yZGVyLWxlZnQ6IDFweCBzb2xpZCAjZTBlMGUwO1xyXG4gICAgYm9yZGVyLXJpZ2h0OiAxcHggc29saWQgI2UwZTBlMDtcclxuICAgIGJvcmRlci1ib3R0b206IDFweCBzb2xpZCAjZTBlMGUwO1xyXG4gICAgYm94LXNpemluZzogYm9yZGVyLWJveDtcclxuICAgIGRpc3BsYXk6IGJsb2NrO1xyXG4gICAgei1pbmRleDogMTAwO1xyXG59XHJcbiNnbmIgPiB1bCA+IGxpID4gdWwgPiBsaXtcclxuICAgIHdpZHRoOjEwMCU7XHJcbiAgICBmbG9hdDogbm9uZTtcclxuICAgIGZvbnQtZmFtaWx5OiAnTm90byBTYW5zJztcclxuICAgIGZvbnQtc2l6ZTogMTRweDtcclxuICAgIGZvbnQtd2VpZ2h0OiAzMDA7XHJcbiAgICBsaW5lLWhlaWdodDogMy4yOTtcclxuICAgIGxldHRlci1zcGFjaW5nOiAtMC43cHg7XHJcbiAgICB0ZXh0LWFsaWduOiBjZW50ZXI7XHJcbiAgICBjb2xvcjogIzY2NjY2NjtcclxuICAgIGJveC1zaXppbmc6IGJvcmRlci1ib3g7XHJcbiAgICBkaXNwbGF5OiBibG9jaztcclxufVxyXG4jZ25iID4gdWwgPiBsaSA+IHVsID4gbGk6bGFzdC1jaGlsZHtcclxuICAgIHBhZGRpbmctYm90dG9tOiAyNHB4O1xyXG59XHJcbiNnbmIgPiB1bCA+IGxpID4gdWwgPiBsaSA+IGF7XHJcbiAgICBkaXNwbGF5OiBibG9jaztcclxufVxyXG5cclxuI2duYl9zdWJ7XHJcbiAgICBwb3NpdGlvbjphYnNvbHV0ZTtcclxuICAgIHRvcDowcHg7XHJcbiAgICBsZWZ0OjgwMHB4O1xyXG4gICAgd2lkdGg6NDAwcHg7XHJcbiAgICBmbG9hdDogbGVmdDtcclxuICAgIHBhZGRpbmctdG9wOiAyMHB4O1xyXG4gICAgYm94LXNpemluZzogYm9yZGVyLWJveDtcclxufVxyXG4jZ25iX3N1YiB1bCBsaXtcclxuICAgIHdpZHRoOjUwJTtcclxuICAgIGZsb2F0OiBsZWZ0O1xyXG4gICAgZm9udC1mYW1pbHk6ICdOb3RvIFNhbnMnO1xyXG4gICAgZm9udC1zaXplOiAxOHB4O1xyXG4gICAgZm9udC13ZWlnaHQ6IDQwMDtcclxuICAgIHRleHQtYWxpZ246IGNlbnRlcjtcclxuICAgIGNvbG9yOiM0NDQ7XHJcbiAgICBsaW5lLWhlaWdodDogMS4yOztcclxufVxyXG4jZ25iX3N1YiB1bCBsaTpob3ZlcntcclxuICAgIGNvbG9yOiMwMDA7XHJcbn1cclxuI2duYl9zdWIgdWwgbGkgYXtcclxuICAgIGRpc3BsYXk6IGJsb2NrO1xyXG59XHJcbi5saW5rMXtcclxuICAgIHBvc2l0aW9uOmFic29sdXRlO1xyXG4gICAgdG9wOjA7XHJcbiAgICBsZWZ0OjA7XHJcbiAgICB3aWR0aDoyMDBweDtcclxuICAgIGhlaWdodDo5MHB4O1xyXG4gICAgcGFkZGluZy10b3A6IDIwcHg7XHJcbiAgICBiYWNrZ3JvdW5kOnVybCguLi8uLi9pbWFnZXMvZ25iX2xpbmsucG5nKW5vLXJlcGVhdDtcclxuICAgIG92ZXJmbG93OmhpZGRlbjtcclxuICAgIGN1cnNvcjpwb2ludGVyO1xyXG4gICAgYm9yZGVyLWxlZnQ6MXB4IHNvbGlkICNkOGQ4ZDg7XHJcbiAgICB6LWluZGV4OiAxO1xyXG4gICAgYm94LXNpemluZzogYm9yZGVyLWJveDtcclxuICAgIGRpc3BsYXk6IGJsb2NrO1xyXG59XHJcbi5saW5rMntcclxuICAgIHBvc2l0aW9uOmFic29sdXRlO1xyXG4gICAgdG9wOjA7XHJcbiAgICBsZWZ0OjIwMHB4O1xyXG4gICAgd2lkdGg6MjAwcHg7XHJcbiAgICBoZWlnaHQ6OTBweDtcclxuICAgIHBhZGRpbmctdG9wOiAyMHB4O1xyXG4gICAgYmFja2dyb3VuZDp1cmwoLi4vLi4vaW1hZ2VzL2duYl9saW5rLnBuZyluby1yZXBlYXQ7XHJcbiAgICBvdmVyZmxvdzpoaWRkZW47XHJcbiAgICBjdXJzb3I6cG9pbnRlcjtcclxuICAgIHotaW5kZXg6IDE7XHJcbiAgICBib3JkZXItbGVmdDoxcHggc29saWQgI2MyYzJjMjtcclxuICAgIGJvcmRlci1yaWdodDoxcHggc29saWQgI2Q4ZDhkODtcclxuICAgIGJveC1zaXppbmc6IGJvcmRlci1ib3g7XHJcbiAgICBkaXNwbGF5OiBibG9jaztcclxufVxyXG4ubGluazEgaW1nLCAubGluazIgaW1ne1xyXG4gICAgZGlzcGxheTogYmxvY2s7XHJcbiAgICBmbG9hdDogbGVmdDtcclxuICAgIGxpbmUtaGVpZ2h0OiA4OXB4O1xyXG4gICAgbWFyZ2luLWxlZnQ6IDMzcHg7XHJcbn1cclxuLmNvcm5lcntcclxuICAgIHBvc2l0aW9uOmFic29sdXRlO1xyXG4gICAgd2lkdGg6MzdweDtcclxuICAgIGhlaWdodDozNnB4O1xyXG4gICAgbGVmdDowcHg7XHJcbiAgICBib3R0b206MHB4O1xyXG4gICAgYmFja2dyb3VuZDp1cmwoLi4vLi4vaW1hZ2VzL2Nvcm5lci5wbmcpO1xyXG4gICAgdHJhbnNpdGlvbjouMnM7XHJcbiAgICB6LWluZGV4OiAxMDtcclxufVxyXG4uY29ybmVyMntcclxuICAgIHBvc2l0aW9uOmFic29sdXRlO1xyXG4gICAgd2lkdGg6MzVweDtcclxuICAgIGhlaWdodDozNHB4O1xyXG4gICAgcmlnaHQ6LTEwMCU7XHJcbiAgICB0b3A6MHB4O1xyXG4gICAgYmFja2dyb3VuZDp1cmwoLi4vLi4vaW1hZ2VzL2Nvcm5lcjIucG5nKTtcclxuICAgIHRyYW5zaXRpb246LjJzO1xyXG4gICAgei1pbmRleDogMTA7XHJcbn1cclxuLmxpbmsxOmhvdmVyIC5jb3JuZXIyLCAubGluazI6aG92ZXIgLmNvcm5lcjJ7XHJcbiAgICByaWdodDowcHg7XHJcbn1cclxuLmxpbmsxOmhvdmVyIC5jb3JuZXJ7XHJcbiAgICBsZWZ0Oi0xMDAlO1xyXG59XHJcbi5saW5rMV8ye1xyXG4gICAgcG9zaXRpb246YWJzb2x1dGU7XHJcbiAgICB3aWR0aDoyMDBweDtcclxuICAgIGhlaWdodDo5MHB4O1xyXG4gICAgbGVmdDotMTAxJTtcclxuICAgIG1hcmdpbi10b3A6IC0yMHB4O1xyXG4gICAgYmFja2dyb3VuZDp1cmwoLi4vLi4vaW1hZ2VzL2duYl9saW5rX2hvdmVyLnBuZyk7XHJcbiAgICBiYWNrZ3JvdW5kLXBvc2l0aW9uOjIwMHB4IDBweDtcclxuICAgIHRyYW5zaXRpb246IC4ycztcclxuICAgIHotaW5kZXg6IDE7XHJcbiAgICBib3gtc2l6aW5nOiBib3JkZXItYm94O1xyXG59XHJcbi5saW5rMTpob3ZlciAubGluazFfMntcclxuICAgIGxlZnQ6MHB4O1xyXG4gICAgYmFja2dyb3VuZC1wb3NpdGlvbjowcHggMHB4O1xyXG4gICAgei1pbmRleDogLTE7XHJcbn1cclxuLmxpbmsyXzJ7XHJcbiAgICBwb3NpdGlvbjphYnNvbHV0ZTtcclxuICAgIHdpZHRoOjIwMHB4O1xyXG4gICAgaGVpZ2h0OjkwcHg7XHJcbiAgICBsZWZ0Oi0xMDElO1xyXG4gICAgbWFyZ2luLXRvcDogLTIwcHg7XHJcbiAgICBiYWNrZ3JvdW5kOnVybCguLi8uLi9pbWFnZXMvZ25iX2xpbmtfaG92ZXIucG5nKTtcclxuICAgIGJhY2tncm91bmQtcG9zaXRpb246MjAwcHggMHB4O1xyXG4gICAgdHJhbnNpdGlvbjogLjJzO1xyXG4gICAgei1pbmRleDogMTtcclxuICAgIGJveC1zaXppbmc6IGJvcmRlci1ib3g7XHJcbn1cclxuLmxpbmsyOmhvdmVyIC5saW5rMl8ye1xyXG4gICAgbGVmdDowcHg7XHJcbiAgICBiYWNrZ3JvdW5kLXBvc2l0aW9uOjBweCAwcHg7XHJcbiAgICB6LWluZGV4OiAtMTtcclxufVxyXG4udXNlckJ0bntkaXNwbGF5OmZsZXg7d2lkdGg6MjAwcHg7aGVpZ2h0OjkxcHg7bWFyZ2luLXRvcDotMXB4O21hcmdpbi1sZWZ0OjkxcHg7YmFja2dyb3VuZDojZmZmO2JvcmRlcjoxcHggc29saWQgI2JmYmZiZjtib3gtc2l6aW5nOmJvcmRlci1ib3g7XHJcbiAgICBidXR0b257ZmxleDoxO2hlaWdodDo5MXB4O1xyXG4gICAgICAgICY6aG92ZXJ7XHJcbiAgICAgICAgICAgIHNwYW57Y29sb3I6IzFFNkJERTt9XHJcbiAgICAgICAgICAgICYuYnRuTG9nb3V0e2JhY2tncm91bmQ6dXJsKFwiLi4vLi4vaW1hZ2VzL2ljby11c2VyLWxvZ291dC1ob3Zlci5wbmdcIiluby1yZXBlYXQgY2VudGVyIDIxcHg7fVxyXG4gICAgICAgICAgICAmLmJ0bk15cGFnZXtiYWNrZ3JvdW5kOnVybChcIi4uLy4uL2ltYWdlcy9pY28tdXNlci1teXBhZ2UtaG92ZXIucG5nXCIpbm8tcmVwZWF0IGNlbnRlciAyMXB4O31cclxuICAgICAgICB9XHJcbiAgICAgICAgc3BhbntkaXNwbGF5OmJsb2NrO3BhZGRpbmctdG9wOjM0cHg7Zm9udC1zaXplOjEycHg7Y29sb3I6IzY2Njtmb250LXdlaWdodDpub3JtYWw7Zm9udC1mYW1pbHk6J05vdG8gU2FucyBNZWRpdW0nO31cclxuICAgICAgICAmLmJ0bkxvZ291dHtiYWNrZ3JvdW5kOnVybChcIi4uLy4uL2ltYWdlcy9pY28tdXNlci1sb2dvdXQucG5nXCIpbm8tcmVwZWF0IGNlbnRlciAyMXB4O31cclxuICAgICAgICAmLmJ0bk15cGFnZXtiYWNrZ3JvdW5kOnVybChcIi4uLy4uL2ltYWdlcy9pY28tdXNlci1teXBhZ2UucG5nXCIpbm8tcmVwZWF0IGNlbnRlciAyMXB4O31cclxuICAgIH1cclxufVxyXG4ub3Jne1xyXG4gICAgcG9zaXRpb246IHJlbGF0aXZlO1xyXG4gICAgd2lkdGg6IDIwMHB4O1xyXG4gICAgaGVpZ2h0OiA5MXB4O1xyXG4gICAgcGFkZGluZy1sZWZ0OiA2MHB4O1xyXG4gICAgbWFyZ2luLXRvcDotMXB4O1xyXG4gICAgbWFyZ2luLWxlZnQ6OTFweDtcclxuICAgIGZvbnQtZmFtaWx5OiAnTm90byBTYW5zJztcclxuICAgIGZvbnQtc2l6ZTogMTZweDtcclxuICAgIGZvbnQtd2VpZ2h0OiA0MDA7XHJcbiAgICB0ZXh0LWFsaWduOiBjZW50ZXI7XHJcbiAgICBjb2xvcjogIzY2NjtcclxuICAgIGxpbmUtaGVpZ2h0OiA5MHB4O1xyXG4gICAgYmFja2dyb3VuZC1jb2xvcjojZmZmO1xyXG4gICAgYmFja2dyb3VuZC1pbWFnZTogdXJsKC4uLy4uL2ltYWdlcy9pY28tbG9naW4ucG5nKTtcclxuICAgIGJhY2tncm91bmQtcG9zaXRpb246IDQ2cHggY2VudGVyO1xyXG4gICAgYmFja2dyb3VuZC1yZXBlYXQ6IG5vLXJlcGVhdDtcclxuICAgIGJveC1zaXppbmc6IGJvcmRlci1ib3g7XHJcbiAgICBjdXJzb3I6IHBvaW50ZXI7XHJcbiAgICBib3JkZXI6MXB4IHNvbGlkICNiZmJmYmY7XHJcbn1cclxuLm9yZzpob3ZlcntcclxuICAgIGNvbG9yOiMxRTZCREU7XHJcbiAgICBiYWNrZ3JvdW5kLWltYWdlOiB1cmwoLi4vLi4vaW1hZ2VzL2ljby1sb2dpbi1ob3Zlci5wbmcpO1xyXG59XHJcbi5sb2dpbkJveHtcclxuICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcclxuICAgIHRvcDpjYWxjKDEwMCUgKyAxcHgpO1xyXG4gICAgcmlnaHQ6NjFweDtcclxuICAgIHdpZHRoOiAzNzBweDtcclxuICAgIGhlaWdodDogYXV0bztcclxuICAgIHBhZGRpbmc6IDcxcHggMCA2NHB4O1xyXG4gICAgYmFja2dyb3VuZDogI2ZmZjtcclxuICAgIGJveC1zaGFkb3c6IDAgM3B4IDZweCAwIHJnYmEoMCwgMCwgMCwgMC4xNik7XHJcbiAgICBib3gtc2l6aW5nOiBib3JkZXItYm94O1xyXG4gICAgb3ZlcmZsb3c6IGhpZGRlbjtcclxuICAgIHotaW5kZXg6IDEwMDA7XHJcbiAgICBkaXNwbGF5OiBub25lO1xyXG59XHJcbi5hYl9je1xyXG4gICAgcG9zaXRpb246IGFic29sdXRlO1xyXG4gICAgdG9wOi0xMjZweDtcclxuICAgIGxlZnQ6LTEzN3B4O1xyXG4gICAgd2lkdGg6IDI3NHB4O1xyXG4gICAgaGVpZ2h0OiAyNTJweDtcclxuICAgIG1hcmdpbjogMCAxNTZweCAwIDA7XHJcbiAgICBvcGFjaXR5OiAwLjA2O1xyXG4gICAgYmFja2dyb3VuZC1jb2xvcjogIzEzOTI5NDtcclxuICAgIGJvcmRlci1yYWRpdXM6IDUwJTtcclxuICAgIHotaW5kZXg6IDk5OTtcclxufVxyXG4uZXhfMDF7XHJcbiAgICBmb250LWZhbWlseTogJ05vdG8gU2Fucyc7XHJcbiAgICBmb250LXNpemU6IDE4cHg7XHJcbiAgICBmb250LXdlaWdodDogMjAwO1xyXG4gICAgbGluZS1oZWlnaHQ6IDMwcHg7XHJcbiAgICBsZXR0ZXItc3BhY2luZzogMC41cHg7XHJcbiAgICB0ZXh0LWFsaWduOiBjZW50ZXI7XHJcbiAgICBjb2xvcjogIzY2NjtcclxufVxyXG4uZXhfMDJ7XHJcbiAgICBmb250LWZhbWlseTogJ05vdG8gU2Fucyc7XHJcbiAgICBmb250LXNpemU6IDE4cHg7XHJcbiAgICBmb250LXdlaWdodDogNDAwO1xyXG4gICAgbGluZS1oZWlnaHQ6IDMwcHg7XHJcbiAgICBsZXR0ZXItc3BhY2luZzogMC41cHg7XHJcbiAgICB0ZXh0LWFsaWduOiBjZW50ZXI7XHJcbiAgICBjb2xvcjogIzQ0NDtcclxufVxyXG4ubG9naW5JbnB1dF9Cb3h7XHJcbiAgICB3aWR0aDogMjkwcHg7XHJcbiAgICBoZWlnaHQ6IGF1dG87XHJcbiAgICBtYXJnaW4gOiAzMHB4IGF1dG8gMTBweDtcclxufVxyXG4uYnRuX2xvZ2lue1xyXG4gICAgbWFyZ2luLXRvcDogMjRweDtcclxuICAgIG92ZXJmbG93OiBoaWRkZW47XHJcbn1cclxuLmZpbmRCb3h7XHJcbiAgICBoZWlnaHQ6IDMwcHg7XHJcbiAgICBsaW5lLWhlaWdodDogMzBweDtcclxuICAgIG1hcmdpbi10b3A6IDE2cHg7XHJcbn1cclxuLmZpbmR7XHJcbiAgICBmbG9hdDogbGVmdDtcclxuICAgIGhlaWdodDogMzBweDtcclxuICAgIGZvbnQtZmFtaWx5OiAnTm90byBTYW5zJztcclxuICAgIGZvbnQtc2l6ZTogMTNweDtcclxuICAgIGZvbnQtd2VpZ2h0OiA0MDA7XHJcbiAgICBsaW5lLWhlaWdodDogMzBweDtcclxuICAgIGxldHRlci1zcGFjaW5nOiAwLjY1cHg7XHJcbiAgICBjb2xvcjojOTk5O1xyXG4gICAgZGlzcGxheTogYmxvY2s7XHJcbn1cclxuLmZpbmRCb3ggaW1ne1xyXG4gICAgZmxvYXQ6IGxlZnQ7XHJcbiAgICBwYWRkaW5nOiA1cHggNXB4IDVweCAwO1xyXG59XHJcbi8vIGZvb3RlclxyXG5mb290ZXJ7XHJcbiAgICB3aWR0aDoxMDAlO1xyXG4gICAgYmFja2dyb3VuZDogIzIyMjtcclxuICAgIGNsZWFyOiBib3RoO1xyXG59XHJcbi5mb290ZXJ7XHJcbiAgICB3aWR0aDoxMjAwcHg7XHJcbiAgICBtYXJnaW46MCBhdXRvO1xyXG4gICAgcGFkZGluZzo1MHB4IDA7XHJcbiAgICBjbGVhcjogYm90aDtcclxuICAgIG92ZXJmbG93OiBoaWRkZW47XHJcbiAgICBib3gtc2l6aW5nOiBib3JkZXItYm94O1xyXG59XHJcbi5mb290ZXIgaDV7XHJcbiAgICBmbG9hdDogbGVmdDtcclxufVxyXG4uZm9vdGVyQ2VudGVye1xyXG4gICAgZmxvYXQ6IGxlZnQ7XHJcbiAgICBtYXJnaW4tbGVmdDo2N3B4O1xyXG59XHJcbi5mb290ZXJDZW50ZXIgLmxuYiB1bCBsaXtcclxuICAgIGZsb2F0OiBsZWZ0O1xyXG4gICAgcGFkZGluZy1yaWdodDogMTBweDtcclxuICAgIHBhZGRpbmctbGVmdDogMTBweDtcclxuICAgIGZvbnQtZmFtaWx5OiAnTm90byBTYW5zJztcclxuICAgIGZvbnQtc2l6ZTogMTRweDtcclxuICAgIGZvbnQtd2VpZ2h0OiA0MDA7XHJcbiAgICBsaW5lLWhlaWdodDogMjBweDtcclxuICAgIGxldHRlci1zcGFjaW5nOiAtMC43cHg7XHJcbiAgICBjb2xvcjojZmZmO1xyXG4gICAgYm9yZGVyLXJpZ2h0OiAycHggc29saWQgIzkxOTE5MTtcclxufVxyXG4uZm9vdGVyQ2VudGVyIC5sbmIgdWwgbGk6bGFzdC1jaGlsZHtcclxuICAgIGJvcmRlci1yaWdodDogbm9uZTtcclxufVxyXG4uZm9vdGVyQ2VudGVyIC5sbmIgdWwgbGk6bnRoLWNoaWxkKDEpe1xyXG4gICAgcGFkZGluZy1sZWZ0OiAwO1xyXG59XHJcbi5hZGRyZXNze1xyXG4gICAgcGFkZGluZzowIWltcG9ydGFudDtcclxuICAgIGRpc3BsYXk6YmxvY2shaW1wb3J0YW50O1xyXG4gICAgbGluZS1oZWlnaHQ6MjBweCFpbXBvcnRhbnQ7XHJcbiAgICBoZWlnaHQ6IGF1dG8haW1wb3J0YW50O1xyXG4gICAgYm9yZGVyOjAhaW1wb3J0YW50O1xyXG4gICAgbWFyZ2luLXRvcDogMzBweDtcclxuICAgIGZvbnQtZmFtaWx5OiAnTm90byBTYW5zJztcclxuICAgIGZvbnQtc2l6ZTogMTJweDtcclxuICAgIGZvbnQtd2VpZ2h0OiAzMDA7XHJcbiAgICBsaW5lLWhlaWdodDogMjBweDtcclxuICAgIGxldHRlci1zcGFjaW5nOiAtMC42cHg7XHJcbiAgICBjb2xvcjojZmZmO1xyXG4gICAgb3BhY2l0eTogMC41O1xyXG59XHJcbi5mb290ZXJTaXRle1xyXG4gICAgZmxvYXQ6IHJpZ2h0O1xyXG4gICAgbWFyZ2luOiAyNXB4IDA7XHJcbiAgICBwYWRkaW5nLXJpZ2h0OiAycHg7XHJcbn1cclxuXHJcbiNtTWVudUJ0bntkaXNwbGF5OiBub25lO31cclxuXHJcbi5mbGV4e2Rpc3BsYXk6ZmxleDtcclxuICAgICYuY2VudGVye2p1c3RpZnktY29udGVudDogY2VudGVyO2FsaWduLWl0ZW1zOmNlbnRlcjt9XHJcbn1cclxuLmxvZ2luSW5wdXRfQm94e1xyXG4gICAgLmRvd25TZWN1cmUudHlwZTAye2NvbG9yOiMyODYwZTA7YmFja2dyb3VuZDogdXJsKFwiLi4vLi4vaW1hZ2VzL2ljby1zZWN1cmUtdHlwZTAyLnBuZ1wiKW5vLXJlcGVhdCBsZWZ0IGNlbnRlcjtwYWRkaW5nLWxlZnQ6MjBweDttYXJnaW4tYm90dG9tOjhweDtmbG9hdDpsZWZ0O2hlaWdodDogYXV0bztcclxuICAgICAgICBzcGFue2ZvbnQtZmFtaWx5OidOb3RvIFNhbnMnfVxyXG4gICAgICAgICY6aG92ZXIgc3Bhbntmb250LWZhbWlseTonTm90byBTYW5zIE1lZGl1bSc7fVxyXG4gICAgfVxyXG4gICAgLmxvZ2luTGlua3tkaXNwbGF5OmZsZXg7Y29sb3I6Izk5OTtmb250LXNpemU6MTJweDtmb250LWZhbWlseTonTm90byBTYW5zJztqdXN0aWZ5LWNvbnRlbnQ6Y2VudGVyO3dpZHRoOjEwMCU7cGFkZGluZy10b3A6MTZweDtcclxuICAgICAgICBhe2Rpc3BsYXk6ZmxleDthbGlnbi1pdGVtczpjZW50ZXI7XHJcbiAgICAgICAgICAgICY6bGFzdC1vZi10eXBle1xyXG4gICAgICAgICAgICAgICAgJjphZnRlcntkaXNwbGF5Om5vbmU7fVxyXG4gICAgICAgICAgICB9XHJcbiAgICAgICAgICAgICY6YWZ0ZXJ7Y29udGVudDonJzt3aWR0aDoxcHg7aGVpZ2h0OjEycHg7YmFja2dyb3VuZC1jb2xvcjojYmZiZmJmO21hcmdpbjowIDhweDt9XHJcbiAgICAgICAgfVxyXG4gICAgfVxyXG59XHJcbi5jZXJ0Q2hre2JhY2tncm91bmQ6I2VlZTtkaXNwbGF5OmZsZXg7YWxpZ24taXRlbXM6Y2VudGVyO2p1c3RpZnktY29udGVudDpzcGFjZS1iZXR3ZWVuO3BhZGRpbmc6MCAxNXB4O2JvcmRlci1yYWRpdXM6MTBweDtvcGFjaXR5OjA7dmlzaWJpbGl0eTpoaWRkZW47bWF4LWhlaWdodDowO3RyYW5zaXRpb246LjRzO2JveC1zaGFkb3c6MCAzcHggNXB4IHJnYmEoMCwwLDAsLjE1KTtcclxuICAgICYuYWN0aXZle3Bvc2l0aW9uOnJlbGF0aXZlO21heC1oZWlnaHQ6aW5oZXJpdDtwYWRkaW5nOjIwcHggMTVweDt2aXNpYmlsaXR5OnZpc2libGU7b3BhY2l0eTogMTttYXJnaW4tdG9wOjE1cHg7XHJcbiAgICAgICAgJjphZnRlcntwb3NpdGlvbjphYnNvbHV0ZTtyaWdodDozM3B4O3RvcDotNnB4O2JvcmRlcjo2cHggc29saWQgdHJhbnNwYXJlbnQ7Ym9yZGVyLWxlZnQ6NnB4IHNvbGlkICNlZWU7Ym9yZGVyLXRvcDo2cHggc29saWQgI2VlZTtjb250ZW50OicnO3RyYW5zZm9ybTpyb3RhdGUoNDVkZWcpIHNrZXcoMTBkZWcsMTBkZWcpO31cclxuICAgIH1cclxuICAgIGJ1dHRvbntwYWRkaW5nOjAgMTVweDt9XHJcbn0iXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IjtBQUNBLEFBQUEsTUFBTSxBQUFBLEtBQUssQ0FBQTtDQUNQLFFBQVEsRUFBRSxRQUFRO0NBQ2xCLE9BQU8sRUFBQyxJQUFJO0NBQ1osU0FBUyxFQUFDLE1BQU07Q0FDaEIsV0FBVyxFQUFDLE1BQU07Q0FDbEIsZUFBZSxFQUFDLGFBQWE7Q0FDN0IsS0FBSyxFQUFDLElBQUk7Q0FDVixNQUFNLEVBQUUsSUFBSTtDQUNaLGFBQWEsRUFBQyxJQUFJO0NBQ2xCLGFBQWEsRUFBQyxpQkFBaUI7Q0FDL0IsVUFBVSxFQUFFLFVBQVU7Q0FDekI7OztBQUNELEFBQUEsTUFBTSxDQUFDLEVBQUUsQ0FBQTtDQUNMLEtBQUssRUFBQyxLQUFLO0NBRVgsVUFBVSxFQUFFLE1BQU07Q0FDbEIsV0FBVyxFQUFFLElBQUk7Q0FDakIsVUFBVSxFQUFFLFVBQVU7Q0FDekI7OztBQUNELEFBQUEsTUFBTSxDQUFDLEVBQUUsQ0FBQyxHQUFHLENBQUE7Q0FDVCxjQUFjLEVBQUUsTUFBTTtDQUN6Qjs7O0FBQ0QsQUFBQSxVQUFVLENBQUE7Q0FDTixRQUFRLEVBQUUsUUFBUTtDQUNsQixLQUFLLEVBQUMsTUFBTTtDQUNaLE1BQU0sRUFBRSxJQUFJO0NBQ1osTUFBTSxFQUFDLE1BQU07Q0FDYixVQUFVLEVBQUUsVUFBVTtDQUN6Qjs7O0FBQ0QsQUFBQSxJQUFJLENBQUE7Q0FDQSxJQUFJLEVBQUMsQ0FBQztDQUNOLFVBQVUsRUFBRSxVQUFVO0NBQ3pCOzs7QUFDRCxBQUFBLElBQUksR0FBRyxFQUFFLENBQUE7Q0FDTCxPQUFPLEVBQUMsSUFBSTtDQUNaLGVBQWUsRUFBQyxNQUFNO0NBQ3pCOzs7QUFDRCxBQUFBLElBQUksR0FBRyxFQUFFLEdBQUcsRUFBRSxDQUFBO0NBQ1YsUUFBUSxFQUFFLFFBQVE7Q0FDbEIsT0FBTyxFQUFFLEtBQUs7Q0FDZCxPQUFPLEVBQUMsTUFBTTtDQUNkLFVBQVUsRUFBRSxVQUFVO0NBQ3RCLE1BQU0sRUFBQyxxQkFBcUI7Q0FJL0I7OztBQVRELEFBTUksSUFOQSxHQUFHLEVBQUUsR0FBRyxFQUFFLEFBTVQsUUFBUSxDQUFBO0NBQUMsT0FBTyxFQUFDLE1BQU07Q0FFdkI7OztBQVJMLEFBT1EsSUFQSixHQUFHLEVBQUUsR0FBRyxFQUFFLEFBTVQsUUFBUSxHQUNKLENBQUMsQ0FBQTtDQUFDLEtBQUssRUFBQyxPQUFPO0NBQUMsU0FBUyxFQUFDLElBQUk7Q0FBQyxXQUFXLEVBQUMsa0JBQWtCO0NBQUMsV0FBVyxFQUFDLE1BQU07Q0FBRzs7O0FBRzVGLEFBQUEsSUFBSSxHQUFHLEVBQUUsR0FBRyxFQUFFLEdBQUcsQ0FBQyxDQUFBO0NBQ2QsV0FBVyxFQUFFLFdBQVc7Q0FDeEIsU0FBUyxFQUFFLElBQUk7Q0FDZixXQUFXLEVBQUUsR0FBRztDQUNoQixVQUFVLEVBQUUsTUFBTTtDQUNsQixLQUFLLEVBQUMsSUFBSTtDQUNWLFdBQVcsRUFBRSxJQUFJO0NBQ2pCLE9BQU8sRUFBRSxLQUFLO0NBQ2QsVUFBVSxFQUFFLFVBQVU7Q0FDekI7OztBQUNELEFBQUEsSUFBSSxHQUFHLEVBQUUsR0FBRyxFQUFFLEFBQUEsTUFBTSxFQUFFLFNBQVMsQ0FBQTtDQUMzQixVQUFVLEVBQUUsSUFBSTtDQUNoQixXQUFXLEVBQUUsaUJBQWlCO0NBQzlCLFlBQVksRUFBRSxpQkFBaUI7Q0FDL0IsVUFBVSxFQUFFLFVBQVU7Q0FDdEIsT0FBTyxFQUFFLEtBQUs7Q0FDakI7OztBQUNELEFBQUEsSUFBSSxHQUFHLEVBQUUsR0FBRyxFQUFFLEdBQUcsRUFBRSxDQUFBO0NBQ2YsUUFBUSxFQUFFLFFBQVE7Q0FDbEIsS0FBSyxFQUFDLGdCQUFnQjtDQUN0QixJQUFJLEVBQUMsQ0FBQztDQUNOLEdBQUcsRUFBQyxJQUFJO0NBQ1IsVUFBVSxFQUFDLENBQUM7Q0FDWixPQUFPLEVBQUUsS0FBSztDQUNkLFVBQVUsRUFBRSxVQUFVO0NBQ3RCLFdBQVcsRUFBRSxJQUFJO0NBQ2pCLE9BQU8sRUFBRSxJQUFJO0NBQ2IsVUFBVSxFQUFDLGFBQWE7Q0FDeEIsVUFBVSxFQUFDLE1BQU07Q0FDakIsVUFBVSxFQUFDLE1BQU07Q0FDcEI7OztBQUNELEFBQUEsSUFBSSxHQUFHLEVBQUUsR0FBRyxFQUFFLEFBQUEsTUFBTSxHQUFHLEVBQUUsQ0FBQTtDQUNyQixVQUFVLEVBQUMsTUFBTTtDQUNqQixVQUFVLEVBQUMsT0FBTztDQUNyQjs7O0FBQ0QsQUFBQSxJQUFJLEdBQUcsRUFBRSxHQUFHLEVBQUUsQUFBQSxNQUFNLENBQUMsSUFBSSxFQUFFLGdCQUFnQixDQUFBO0NBQ3ZDLFVBQVUsRUFBRSxJQUFJO0NBQ2hCLFdBQVcsRUFBRSxpQkFBaUI7Q0FDOUIsWUFBWSxFQUFFLGlCQUFpQjtDQUMvQixhQUFhLEVBQUUsaUJBQWlCO0NBQ2hDLFVBQVUsRUFBRSxVQUFVO0NBQ3RCLE9BQU8sRUFBRSxLQUFLO0NBQ2QsT0FBTyxFQUFFLEdBQUc7Q0FDZjs7O0FBQ0QsQUFBQSxJQUFJLEdBQUcsRUFBRSxHQUFHLEVBQUUsR0FBRyxFQUFFLEdBQUcsRUFBRSxDQUFBO0NBQ3BCLEtBQUssRUFBQyxJQUFJO0NBQ1YsS0FBSyxFQUFFLElBQUk7Q0FDWCxXQUFXLEVBQUUsV0FBVztDQUN4QixTQUFTLEVBQUUsSUFBSTtDQUNmLFdBQVcsRUFBRSxHQUFHO0NBQ2hCLFdBQVcsRUFBRSxJQUFJO0NBQ2pCLGNBQWMsRUFBRSxNQUFNO0NBQ3RCLFVBQVUsRUFBRSxNQUFNO0NBQ2xCLEtBQUssRUFBRSxPQUFPO0NBQ2QsVUFBVSxFQUFFLFVBQVU7Q0FDdEIsT0FBTyxFQUFFLEtBQUs7Q0FDakI7OztBQUNELEFBQUEsSUFBSSxHQUFHLEVBQUUsR0FBRyxFQUFFLEdBQUcsRUFBRSxHQUFHLEVBQUUsQUFBQSxXQUFXLENBQUE7Q0FDL0IsY0FBYyxFQUFFLElBQUk7Q0FDdkI7OztBQUNELEFBQUEsSUFBSSxHQUFHLEVBQUUsR0FBRyxFQUFFLEdBQUcsRUFBRSxHQUFHLEVBQUUsR0FBRyxDQUFDLENBQUE7Q0FDeEIsT0FBTyxFQUFFLEtBQUs7Q0FDakI7OztBQUVELEFBQUEsUUFBUSxDQUFBO0NBQ0osUUFBUSxFQUFDLFFBQVE7Q0FDakIsR0FBRyxFQUFDLEdBQUc7Q0FDUCxJQUFJLEVBQUMsS0FBSztDQUNWLEtBQUssRUFBQyxLQUFLO0NBQ1gsS0FBSyxFQUFFLElBQUk7Q0FDWCxXQUFXLEVBQUUsSUFBSTtDQUNqQixVQUFVLEVBQUUsVUFBVTtDQUN6Qjs7O0FBQ0QsQUFBQSxRQUFRLENBQUMsRUFBRSxDQUFDLEVBQUUsQ0FBQTtDQUNWLEtBQUssRUFBQyxHQUFHO0NBQ1QsS0FBSyxFQUFFLElBQUk7Q0FDWCxXQUFXLEVBQUUsV0FBVztDQUN4QixTQUFTLEVBQUUsSUFBSTtDQUNmLFdBQVcsRUFBRSxHQUFHO0NBQ2hCLFVBQVUsRUFBRSxNQUFNO0NBQ2xCLEtBQUssRUFBQyxJQUFJO0NBQ1YsV0FBVyxFQUFFLEdBQUc7Q0FDbkI7OztBQUNELEFBQUEsUUFBUSxDQUFDLEVBQUUsQ0FBQyxFQUFFLEFBQUEsTUFBTSxDQUFBO0NBQ2hCLEtBQUssRUFBQyxJQUFJO0NBQ2I7OztBQUNELEFBQUEsUUFBUSxDQUFDLEVBQUUsQ0FBQyxFQUFFLENBQUMsQ0FBQyxDQUFBO0NBQ1osT0FBTyxFQUFFLEtBQUs7Q0FDakI7OztBQUNELEFBQUEsTUFBTSxDQUFBO0NBQ0YsUUFBUSxFQUFDLFFBQVE7Q0FDakIsR0FBRyxFQUFDLENBQUM7Q0FDTCxJQUFJLEVBQUMsQ0FBQztDQUNOLEtBQUssRUFBQyxLQUFLO0NBQ1gsTUFBTSxFQUFDLElBQUk7Q0FDWCxXQUFXLEVBQUUsSUFBSTtDQUNqQixVQUFVLEVBQUMsOEJBQThCLENBQUEsU0FBUztDQUNsRCxRQUFRLEVBQUMsTUFBTTtDQUNmLE1BQU0sRUFBQyxPQUFPO0NBQ2QsV0FBVyxFQUFDLGlCQUFpQjtDQUM3QixPQUFPLEVBQUUsQ0FBQztDQUNWLFVBQVUsRUFBRSxVQUFVO0NBQ3RCLE9BQU8sRUFBRSxLQUFLO0NBQ2pCOzs7QUFDRCxBQUFBLE1BQU0sQ0FBQTtDQUNGLFFBQVEsRUFBQyxRQUFRO0NBQ2pCLEdBQUcsRUFBQyxDQUFDO0NBQ0wsSUFBSSxFQUFDLEtBQUs7Q0FDVixLQUFLLEVBQUMsS0FBSztDQUNYLE1BQU0sRUFBQyxJQUFJO0NBQ1gsV0FBVyxFQUFFLElBQUk7Q0FDakIsVUFBVSxFQUFDLDhCQUE4QixDQUFBLFNBQVM7Q0FDbEQsUUFBUSxFQUFDLE1BQU07Q0FDZixNQUFNLEVBQUMsT0FBTztDQUNkLE9BQU8sRUFBRSxDQUFDO0NBQ1YsV0FBVyxFQUFDLGlCQUFpQjtDQUM3QixZQUFZLEVBQUMsaUJBQWlCO0NBQzlCLFVBQVUsRUFBRSxVQUFVO0NBQ3RCLE9BQU8sRUFBRSxLQUFLO0NBQ2pCOzs7QUFDRCxBQUFBLE1BQU0sQ0FBQyxHQUFHLEVBQUUsTUFBTSxDQUFDLEdBQUcsQ0FBQTtDQUNsQixPQUFPLEVBQUUsS0FBSztDQUNkLEtBQUssRUFBRSxJQUFJO0NBQ1gsV0FBVyxFQUFFLElBQUk7Q0FDakIsV0FBVyxFQUFFLElBQUk7Q0FDcEI7OztBQUNELEFBQUEsT0FBTyxDQUFBO0NBQ0gsUUFBUSxFQUFDLFFBQVE7Q0FDakIsS0FBSyxFQUFDLElBQUk7Q0FDVixNQUFNLEVBQUMsSUFBSTtDQUNYLElBQUksRUFBQyxHQUFHO0NBQ1IsTUFBTSxFQUFDLEdBQUc7Q0FDVixVQUFVLEVBQUMsNEJBQTRCO0NBQ3ZDLFVBQVUsRUFBQyxHQUFHO0NBQ2QsT0FBTyxFQUFFLEVBQUU7Q0FDZDs7O0FBQ0QsQUFBQSxRQUFRLENBQUE7Q0FDSixRQUFRLEVBQUMsUUFBUTtDQUNqQixLQUFLLEVBQUMsSUFBSTtDQUNWLE1BQU0sRUFBQyxJQUFJO0NBQ1gsS0FBSyxFQUFDLEtBQUs7Q0FDWCxHQUFHLEVBQUMsR0FBRztDQUNQLFVBQVUsRUFBQyw2QkFBNkI7Q0FDeEMsVUFBVSxFQUFDLEdBQUc7Q0FDZCxPQUFPLEVBQUUsRUFBRTtDQUNkOzs7QUFDRCxBQUFBLE1BQU0sQUFBQSxNQUFNLENBQUMsUUFBUSxFQUFFLE1BQU0sQUFBQSxNQUFNLENBQUMsUUFBUSxDQUFBO0NBQ3hDLEtBQUssRUFBQyxHQUFHO0NBQ1o7OztBQUNELEFBQUEsTUFBTSxBQUFBLE1BQU0sQ0FBQyxPQUFPLENBQUE7Q0FDaEIsSUFBSSxFQUFDLEtBQUs7Q0FDYjs7O0FBQ0QsQUFBQSxRQUFRLENBQUE7Q0FDSixRQUFRLEVBQUMsUUFBUTtDQUNqQixLQUFLLEVBQUMsS0FBSztDQUNYLE1BQU0sRUFBQyxJQUFJO0NBQ1gsSUFBSSxFQUFDLEtBQUs7Q0FDVixVQUFVLEVBQUUsS0FBSztDQUNqQixVQUFVLEVBQUMsb0NBQW9DO0NBQy9DLG1CQUFtQixFQUFDLFNBQVM7Q0FDN0IsVUFBVSxFQUFFLEdBQUc7Q0FDZixPQUFPLEVBQUUsQ0FBQztDQUNWLFVBQVUsRUFBRSxVQUFVO0NBQ3pCOzs7QUFDRCxBQUFBLE1BQU0sQUFBQSxNQUFNLENBQUMsUUFBUSxDQUFBO0NBQ2pCLElBQUksRUFBQyxHQUFHO0NBQ1IsbUJBQW1CLEVBQUMsT0FBTztDQUMzQixPQUFPLEVBQUUsRUFBRTtDQUNkOzs7QUFDRCxBQUFBLFFBQVEsQ0FBQTtDQUNKLFFBQVEsRUFBQyxRQUFRO0NBQ2pCLEtBQUssRUFBQyxLQUFLO0NBQ1gsTUFBTSxFQUFDLElBQUk7Q0FDWCxJQUFJLEVBQUMsS0FBSztDQUNWLFVBQVUsRUFBRSxLQUFLO0NBQ2pCLFVBQVUsRUFBQyxvQ0FBb0M7Q0FDL0MsbUJBQW1CLEVBQUMsU0FBUztDQUM3QixVQUFVLEVBQUUsR0FBRztDQUNmLE9BQU8sRUFBRSxDQUFDO0NBQ1YsVUFBVSxFQUFFLFVBQVU7Q0FDekI7OztBQUNELEFBQUEsTUFBTSxBQUFBLE1BQU0sQ0FBQyxRQUFRLENBQUE7Q0FDakIsSUFBSSxFQUFDLEdBQUc7Q0FDUixtQkFBbUIsRUFBQyxPQUFPO0NBQzNCLE9BQU8sRUFBRSxFQUFFO0NBQ2Q7OztBQUNELEFBQUEsUUFBUSxDQUFBO0NBQUMsT0FBTyxFQUFDLElBQUk7Q0FBQyxLQUFLLEVBQUMsS0FBSztDQUFDLE1BQU0sRUFBQyxJQUFJO0NBQUMsVUFBVSxFQUFDLElBQUk7Q0FBQyxXQUFXLEVBQUMsSUFBSTtDQUFDLFVBQVUsRUFBQyxJQUFJO0NBQUMsTUFBTSxFQUFDLGlCQUFpQjtDQUFDLFVBQVUsRUFBQyxVQUFVO0NBVzVJOzs7QUFYRCxBQUNJLFFBREksQ0FDSixNQUFNLENBQUE7Q0FBQyxJQUFJLEVBQUMsQ0FBQztDQUFDLE1BQU0sRUFBQyxJQUFJO0NBU3hCOzs7QUFWTCxBQUdZLFFBSEosQ0FDSixNQUFNLEFBQ0QsTUFBTSxDQUNILElBQUksQ0FBQTtDQUFDLEtBQUssRUFBQyxPQUFPO0NBQUc7OztBQUhqQyxBQUlZLFFBSkosQ0FDSixNQUFNLEFBQ0QsTUFBTSxBQUVGLFVBQVUsQ0FBQTtDQUFDLFVBQVUsRUFBQyw2Q0FBNkMsQ0FBQSxTQUFTLENBQUMsTUFBTSxDQUFDLElBQUk7Q0FBRzs7O0FBSnhHLEFBS1ksUUFMSixDQUNKLE1BQU0sQUFDRCxNQUFNLEFBR0YsVUFBVSxDQUFBO0NBQUMsVUFBVSxFQUFDLDZDQUE2QyxDQUFBLFNBQVMsQ0FBQyxNQUFNLENBQUMsSUFBSTtDQUFHOzs7QUFMeEcsQUFPUSxRQVBBLENBQ0osTUFBTSxDQU1GLElBQUksQ0FBQTtDQUFDLE9BQU8sRUFBQyxLQUFLO0NBQUMsV0FBVyxFQUFDLElBQUk7Q0FBQyxTQUFTLEVBQUMsSUFBSTtDQUFDLEtBQUssRUFBQyxJQUFJO0NBQUMsV0FBVyxFQUFDLE1BQU07Q0FBQyxXQUFXLEVBQUMsa0JBQWtCO0NBQUc7OztBQVAxSCxBQVFRLFFBUkEsQ0FDSixNQUFNLEFBT0QsVUFBVSxDQUFBO0NBQUMsVUFBVSxFQUFDLHVDQUF1QyxDQUFBLFNBQVMsQ0FBQyxNQUFNLENBQUMsSUFBSTtDQUFHOzs7QUFSOUYsQUFTUSxRQVRBLENBQ0osTUFBTSxBQVFELFVBQVUsQ0FBQTtDQUFDLFVBQVUsRUFBQyx1Q0FBdUMsQ0FBQSxTQUFTLENBQUMsTUFBTSxDQUFDLElBQUk7Q0FBRzs7O0FBRzlGLEFBQUEsSUFBSSxDQUFBO0NBQ0EsUUFBUSxFQUFFLFFBQVE7Q0FDbEIsS0FBSyxFQUFFLEtBQUs7Q0FDWixNQUFNLEVBQUUsSUFBSTtDQUNaLFlBQVksRUFBRSxJQUFJO0NBQ2xCLFVBQVUsRUFBQyxJQUFJO0NBQ2YsV0FBVyxFQUFDLElBQUk7Q0FDaEIsV0FBVyxFQUFFLFdBQVc7Q0FDeEIsU0FBUyxFQUFFLElBQUk7Q0FDZixXQUFXLEVBQUUsR0FBRztDQUNoQixVQUFVLEVBQUUsTUFBTTtDQUNsQixLQUFLLEVBQUUsSUFBSTtDQUNYLFdBQVcsRUFBRSxJQUFJO0NBQ2pCLGdCQUFnQixFQUFDLElBQUk7Q0FDckIsZ0JBQWdCLEVBQUUsK0JBQStCO0NBQ2pELG1CQUFtQixFQUFFLFdBQVc7Q0FDaEMsaUJBQWlCLEVBQUUsU0FBUztDQUM1QixVQUFVLEVBQUUsVUFBVTtDQUN0QixNQUFNLEVBQUUsT0FBTztDQUNmLE1BQU0sRUFBQyxpQkFBaUI7Q0FDM0I7OztBQUNELEFBQUEsSUFBSSxBQUFBLE1BQU0sQ0FBQTtDQUNOLEtBQUssRUFBQyxPQUFPO0NBQ2IsZ0JBQWdCLEVBQUUscUNBQXFDO0NBQzFEOzs7QUFDRCxBQUFBLFNBQVMsQ0FBQTtDQUNMLFFBQVEsRUFBRSxRQUFRO0NBQ2xCLEdBQUcsRUFBQyxnQkFBZ0I7Q0FDcEIsS0FBSyxFQUFDLElBQUk7Q0FDVixLQUFLLEVBQUUsS0FBSztDQUNaLE1BQU0sRUFBRSxJQUFJO0NBQ1osT0FBTyxFQUFFLFdBQVc7Q0FDcEIsVUFBVSxFQUFFLElBQUk7Q0FDaEIsVUFBVSxFQUFFLENBQUMsQ0FBQyxHQUFHLENBQUMsR0FBRyxDQUFDLENBQUMsQ0FBQyxtQkFBbUI7Q0FDM0MsVUFBVSxFQUFFLFVBQVU7Q0FDdEIsUUFBUSxFQUFFLE1BQU07Q0FDaEIsT0FBTyxFQUFFLElBQUk7Q0FDYixPQUFPLEVBQUUsSUFBSTtDQUNoQjs7O0FBQ0QsQUFBQSxLQUFLLENBQUE7Q0FDRCxRQUFRLEVBQUUsUUFBUTtDQUNsQixHQUFHLEVBQUMsTUFBTTtDQUNWLElBQUksRUFBQyxNQUFNO0NBQ1gsS0FBSyxFQUFFLEtBQUs7Q0FDWixNQUFNLEVBQUUsS0FBSztDQUNiLE1BQU0sRUFBRSxXQUFXO0NBQ25CLE9BQU8sRUFBRSxJQUFJO0NBQ2IsZ0JBQWdCLEVBQUUsT0FBTztDQUN6QixhQUFhLEVBQUUsR0FBRztDQUNsQixPQUFPLEVBQUUsR0FBRztDQUNmOzs7QUFDRCxBQUFBLE1BQU0sQ0FBQTtDQUNGLFdBQVcsRUFBRSxXQUFXO0NBQ3hCLFNBQVMsRUFBRSxJQUFJO0NBQ2YsV0FBVyxFQUFFLEdBQUc7Q0FDaEIsV0FBVyxFQUFFLElBQUk7Q0FDakIsY0FBYyxFQUFFLEtBQUs7Q0FDckIsVUFBVSxFQUFFLE1BQU07Q0FDbEIsS0FBSyxFQUFFLElBQUk7Q0FDZDs7O0FBQ0QsQUFBQSxNQUFNLENBQUE7Q0FDRixXQUFXLEVBQUUsV0FBVztDQUN4QixTQUFTLEVBQUUsSUFBSTtDQUNmLFdBQVcsRUFBRSxHQUFHO0NBQ2hCLFdBQVcsRUFBRSxJQUFJO0NBQ2pCLGNBQWMsRUFBRSxLQUFLO0NBQ3JCLFVBQVUsRUFBRSxNQUFNO0NBQ2xCLEtBQUssRUFBRSxJQUFJO0NBQ2Q7OztBQUNELEFBQUEsZUFBZSxDQUFBO0NBQ1gsS0FBSyxFQUFFLEtBQUs7Q0FDWixNQUFNLEVBQUUsSUFBSTtDQUNaLE1BQU0sRUFBRyxjQUFjO0NBQzFCOzs7QUFDRCxBQUFBLFVBQVUsQ0FBQTtDQUNOLFVBQVUsRUFBRSxJQUFJO0NBQ2hCLFFBQVEsRUFBRSxNQUFNO0NBQ25COzs7QUFDRCxBQUFBLFFBQVEsQ0FBQTtDQUNKLE1BQU0sRUFBRSxJQUFJO0NBQ1osV0FBVyxFQUFFLElBQUk7Q0FDakIsVUFBVSxFQUFFLElBQUk7Q0FDbkI7OztBQUNELEFBQUEsS0FBSyxDQUFBO0NBQ0QsS0FBSyxFQUFFLElBQUk7Q0FDWCxNQUFNLEVBQUUsSUFBSTtDQUNaLFdBQVcsRUFBRSxXQUFXO0NBQ3hCLFNBQVMsRUFBRSxJQUFJO0NBQ2YsV0FBVyxFQUFFLEdBQUc7Q0FDaEIsV0FBVyxFQUFFLElBQUk7Q0FDakIsY0FBYyxFQUFFLE1BQU07Q0FDdEIsS0FBSyxFQUFDLElBQUk7Q0FDVixPQUFPLEVBQUUsS0FBSztDQUNqQjs7O0FBQ0QsQUFBQSxRQUFRLENBQUMsR0FBRyxDQUFBO0NBQ1IsS0FBSyxFQUFFLElBQUk7Q0FDWCxPQUFPLEVBQUUsYUFBYTtDQUN6Qjs7O0FBRUQsQUFBQSxNQUFNLENBQUE7Q0FDRixLQUFLLEVBQUMsSUFBSTtDQUNWLFVBQVUsRUFBRSxJQUFJO0NBQ2hCLEtBQUssRUFBRSxJQUFJO0NBQ2Q7OztBQUNELEFBQUEsT0FBTyxDQUFBO0NBQ0gsS0FBSyxFQUFDLE1BQU07Q0FDWixNQUFNLEVBQUMsTUFBTTtDQUNiLE9BQU8sRUFBQyxNQUFNO0NBQ2QsS0FBSyxFQUFFLElBQUk7Q0FDWCxRQUFRLEVBQUUsTUFBTTtDQUNoQixVQUFVLEVBQUUsVUFBVTtDQUN6Qjs7O0FBQ0QsQUFBQSxPQUFPLENBQUMsRUFBRSxDQUFBO0NBQ04sS0FBSyxFQUFFLElBQUk7Q0FDZDs7O0FBQ0QsQUFBQSxhQUFhLENBQUE7Q0FDVCxLQUFLLEVBQUUsSUFBSTtDQUNYLFdBQVcsRUFBQyxJQUFJO0NBQ25COzs7QUFDRCxBQUFBLGFBQWEsQ0FBQyxJQUFJLENBQUMsRUFBRSxDQUFDLEVBQUUsQ0FBQTtDQUNwQixLQUFLLEVBQUUsSUFBSTtDQUNYLGFBQWEsRUFBRSxJQUFJO0NBQ25CLFlBQVksRUFBRSxJQUFJO0NBQ2xCLFdBQVcsRUFBRSxXQUFXO0NBQ3hCLFNBQVMsRUFBRSxJQUFJO0NBQ2YsV0FBVyxFQUFFLEdBQUc7Q0FDaEIsV0FBVyxFQUFFLElBQUk7Q0FDakIsY0FBYyxFQUFFLE1BQU07Q0FDdEIsS0FBSyxFQUFDLElBQUk7Q0FDVixZQUFZLEVBQUUsaUJBQWlCO0NBQ2xDOzs7QUFDRCxBQUFBLGFBQWEsQ0FBQyxJQUFJLENBQUMsRUFBRSxDQUFDLEVBQUUsQUFBQSxXQUFXLENBQUE7Q0FDL0IsWUFBWSxFQUFFLElBQUk7Q0FDckI7OztBQUNELEFBQUEsYUFBYSxDQUFDLElBQUksQ0FBQyxFQUFFLENBQUMsRUFBRSxBQUFBLFVBQVcsQ0FBQSxDQUFDLEVBQUM7Q0FDakMsWUFBWSxFQUFFLENBQUM7Q0FDbEI7OztBQUNELEFBQUEsUUFBUSxDQUFBO0NBQ0osT0FBTyxFQUFDLENBQUMsQ0FBQSxVQUFVO0NBQ25CLE9BQU8sRUFBQyxLQUFLLENBQUEsVUFBVTtDQUN2QixXQUFXLEVBQUMsSUFBSSxDQUFBLFVBQVU7Q0FDMUIsTUFBTSxFQUFFLElBQUksQ0FBQSxVQUFVO0NBQ3RCLE1BQU0sRUFBQyxDQUFDLENBQUEsVUFBVTtDQUNsQixVQUFVLEVBQUUsSUFBSTtDQUNoQixXQUFXLEVBQUUsV0FBVztDQUN4QixTQUFTLEVBQUUsSUFBSTtDQUNmLFdBQVcsRUFBRSxHQUFHO0NBQ2hCLFdBQVcsRUFBRSxJQUFJO0NBQ2pCLGNBQWMsRUFBRSxNQUFNO0NBQ3RCLEtBQUssRUFBQyxJQUFJO0NBQ1YsT0FBTyxFQUFFLEdBQUc7Q0FDZjs7O0FBQ0QsQUFBQSxXQUFXLENBQUE7Q0FDUCxLQUFLLEVBQUUsS0FBSztDQUNaLE1BQU0sRUFBRSxNQUFNO0NBQ2QsYUFBYSxFQUFFLEdBQUc7Q0FDckI7OztBQUVELEFBQUEsU0FBUyxDQUFBO0NBQUMsT0FBTyxFQUFFLElBQUk7Q0FBRzs7O0FBRTFCLEFBQUEsS0FBSyxDQUFBO0NBQUMsT0FBTyxFQUFDLElBQUk7Q0FFakI7OztBQUZELEFBQ0ksS0FEQyxBQUNBLE9BQU8sQ0FBQTtDQUFDLGVBQWUsRUFBRSxNQUFNO0NBQUMsV0FBVyxFQUFDLE1BQU07Q0FBRzs7O0FBRTFELEFBQ0ksZUFEVyxDQUNYLFdBQVcsQUFBQSxPQUFPLENBQUE7Q0FBQyxLQUFLLEVBQUMsT0FBTztDQUFDLFVBQVUsRUFBRSx5Q0FBeUMsQ0FBQSxTQUFTLENBQUMsSUFBSSxDQUFDLE1BQU07Q0FBQyxZQUFZLEVBQUMsSUFBSTtDQUFDLGFBQWEsRUFBQyxHQUFHO0NBQUMsS0FBSyxFQUFDLElBQUk7Q0FBQyxNQUFNLEVBQUUsSUFBSTtDQUd0Szs7O0FBSkwsQUFFUSxlQUZPLENBQ1gsV0FBVyxBQUFBLE9BQU8sQ0FDZCxJQUFJLENBQUE7Q0FBQyxXQUFXLEVBQUMsV0FBVztDQUFFOzs7QUFGdEMsQUFHUSxlQUhPLENBQ1gsV0FBVyxBQUFBLE9BQU8sQUFFYixNQUFNLENBQUMsSUFBSSxDQUFBO0NBQUMsV0FBVyxFQUFDLGtCQUFrQjtDQUFHOzs7QUFIdEQsQUFLSSxlQUxXLENBS1gsVUFBVSxDQUFBO0NBQUMsT0FBTyxFQUFDLElBQUk7Q0FBQyxLQUFLLEVBQUMsSUFBSTtDQUFDLFNBQVMsRUFBQyxJQUFJO0NBQUMsV0FBVyxFQUFDLFdBQVc7Q0FBQyxlQUFlLEVBQUMsTUFBTTtDQUFDLEtBQUssRUFBQyxJQUFJO0NBQUMsV0FBVyxFQUFDLElBQUk7Q0FPM0g7OztBQVpMLEFBTVEsZUFOTyxDQUtYLFVBQVUsQ0FDTixDQUFDLENBQUE7Q0FBQyxPQUFPLEVBQUMsSUFBSTtDQUFDLFdBQVcsRUFBQyxNQUFNO0NBS2hDOzs7QUFYVCxBQVFnQixlQVJELENBS1gsVUFBVSxDQUNOLENBQUMsQUFDSSxhQUFhLEFBQ1QsTUFBTSxDQUFBO0NBQUMsT0FBTyxFQUFDLElBQUk7Q0FBRzs7O0FBUnZDLEFBVVksZUFWRyxDQUtYLFVBQVUsQ0FDTixDQUFDLEFBSUksTUFBTSxDQUFBO0NBQUMsT0FBTyxFQUFDLEVBQUU7Q0FBQyxLQUFLLEVBQUMsR0FBRztDQUFDLE1BQU0sRUFBQyxJQUFJO0NBQUMsZ0JBQWdCLEVBQUMsT0FBTztDQUFDLE1BQU0sRUFBQyxLQUFLO0NBQUc7OztBQUk3RixBQUFBLFFBQVEsQ0FBQTtDQUFDLFVBQVUsRUFBQyxJQUFJO0NBQUMsT0FBTyxFQUFDLElBQUk7Q0FBQyxXQUFXLEVBQUMsTUFBTTtDQUFDLGVBQWUsRUFBQyxhQUFhO0NBQUMsT0FBTyxFQUFDLE1BQU07Q0FBQyxhQUFhLEVBQUMsSUFBSTtDQUFDLE9BQU8sRUFBQyxDQUFDO0NBQUMsVUFBVSxFQUFDLE1BQU07Q0FBQyxVQUFVLEVBQUMsQ0FBQztDQUFDLFVBQVUsRUFBQyxHQUFHO0NBQUMsVUFBVSxFQUFDLENBQUMsQ0FBQyxHQUFHLENBQUMsR0FBRyxDQUFDLG1CQUFlO0NBS3BOOzs7QUFMRCxBQUNJLFFBREksQUFDSCxPQUFPLENBQUE7Q0FBQyxRQUFRLEVBQUMsUUFBUTtDQUFDLFVBQVUsRUFBQyxPQUFPO0NBQUMsT0FBTyxFQUFDLFNBQVM7Q0FBQyxVQUFVLEVBQUMsT0FBTztDQUFDLE9BQU8sRUFBRSxDQUFDO0NBQUMsVUFBVSxFQUFDLElBQUk7Q0FFNUc7OztBQUhMLEFBRVEsUUFGQSxBQUNILE9BQU8sQUFDSCxNQUFNLENBQUE7Q0FBQyxRQUFRLEVBQUMsUUFBUTtDQUFDLEtBQUssRUFBQyxJQUFJO0NBQUMsR0FBRyxFQUFDLElBQUk7Q0FBQyxNQUFNLEVBQUMscUJBQXFCO0NBQUMsV0FBVyxFQUFDLGNBQWM7Q0FBQyxVQUFVLEVBQUMsY0FBYztDQUFDLE9BQU8sRUFBQyxFQUFFO0NBQUMsU0FBUyxFQUFDLGFBQWEsQ0FBQyxrQkFBaUI7Q0FBRzs7O0FBRi9MLEFBSUksUUFKSSxDQUlKLE1BQU0sQ0FBQTtDQUFDLE9BQU8sRUFBQyxNQUFNO0NBQUcifQ== */
